Bug 738005 - CLI Version number is a question mark
Summary: CLI Version number is a question mark
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: CLI
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ---
: ---
Assignee: Simeon Pinder
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 15:46 UTC by Mike Foley
Modified: 2012-02-07 19:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 19:21:15 UTC


Attachments (Terms of Use)
cli version number is a question mark (13.01 KB, image/png)
2011-09-13 15:46 UTC, Mike Foley
no flags Details

Description Mike Foley 2011-09-13 15:46:55 UTC
Created attachment 522953 [details]
cli version number is a question mark

Description of problem:  CLI Version number is a question mark


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  Administration-->Downloads
2.  visual observation (see attached image)

  
Actual results:
see attached image

Expected results:
meaningful version number

Additional info:

Comment 1 Mike Foley 2011-09-13 15:50:18 UTC
this is RHQ 4.1 latest daily build. 

different issue ... the agent is starting up with a valid build number:

[root@foleymonsterbox1 bin]# ./rhq-agent.sh 
RHQ 4.1.0-SNAPSHOT [1309b99] (Tue Sep 13 10:03:53 EDT 2011)
>

Comment 2 Simeon Pinder 2011-09-13 21:20:53 UTC
This is fixed in master with commit : 922581d0ccb38838a.  

Basically we had duplicate maven-ant-run plugins defined. Maven did not complain but the generated content was incorrect. Merging the two executions into one plugin definition seems to work for now. Jay Shaughnessy tracked this one down.

Comment 3 Mike Foley 2011-09-14 14:10:40 UTC
Verified 09/14/2011 RHQ Sprint 5 Test Day through visual observation.

Comment 4 Mike Foley 2012-02-07 19:21:15 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.